curl --request GET \
--url https://external.pleo.io/v3/export-jobs/{jobId}/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://external.pleo.io/v3/export-jobs/{jobId}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external.pleo.io/v3/export-jobs/{jobId}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"accountingEntryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exportJobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"exportedAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"externalUrl": "<string>",
"failureReason": "<string>",
"failureReasonType": "receipt_upload_failure"
}
],
"pagination": {
"currentRequestPagination": {
"parameters": {},
"after": "<string>",
"before": "<string>",
"limit": 123,
"offset": 123,
"sortingKeys": [
"<string>"
],
"sortingOrder": [
"ASC"
]
},
"hasNextPage": true,
"hasPreviousPage": true,
"endCursor": "<string>",
"startCursor": "<string>",
"total": 123
}
}{
"type": "EXPORT_NOT_FOUND",
"message": "Export job not found."
}Get Export Job Items
An export job item tracks the export progress of a specific accounting entry in an export job. Use this endpoint to retrieve a list of export job items that you want to track.
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Path Parameters
Enter the specific export job ID to retrieve details about the job items included in this export job.
Query Parameters
Enter a status to retrieve a list of export job items in the specified state.
| Value | Description |
|---|---|
| pending | The export job item is selected for export, yet it is waiting to be exported. |
| in_progress | The export job item is currently being exported to the ERP/accounting system. |
| failed | The export job item could not be exported to the ERP/accounting system. |
| successful | The export job item is successfully exported to the ERP/accounting system. |
| abandoned | The export job item could not be exported to the ERP/accounting system because the export job could not be completed. |
pending, in_progress, failed, successful, abandoned Lower bound of the page of data to return (cannot be used together with [after] or [offset]).
^[A-Z2-7=~]+$Upper bound of the page of data to return (cannot be used together with [before] or [offset]).
^[A-Z2-7=~]+$Offset of the page of data to return (cannot be used together with [before] or [after]).
x >= 0The maximum amount of items to return.
x >= 0The keys to sort the results by.
The order to sort the results by. Must be the same length as [sortingKeys]; one order per key.
ASC, ASC_NULLS_FIRST, ASC_NULLS_LAST, DESC, DESC_NULLS_FIRST, DESC_NULLS_LAST Was this page helpful?